<?php
session_start();
include('../config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

$peticion='OrdenesFabExpositores#'.$_SESSION['empresa'];
$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);

if($_GET['traza']=='si') {
	echo "<p>".$peticion."</p>";
	print_r($resultado);
}

$comboProductoCodigo=array();
$comboProductoDescripcion=array();
$comboOrdenesPreparacion=array();
$comboClientes=array();
	
foreach($resultado as $item) {

	if(!in_array($item['CodProducto'],$comboProductoCodigo) && $item['CodProducto']!='') $comboProductoCodigo[]=$item['CodProducto'];
	if(!in_array($item['DescripcionProducto'],$comboProductoDescripcion) && $item['DescripcionProducto']!='') $comboProductoDescripcion[]=$item['DescripcionProducto'];

	$detalle=arreglaArrayPXMobileProxiumResult($item['DetalleOFS']);

	foreach($detalle as $item2) {
	
		if(!in_array($item2['NumOrdenPrep'],$comboOrdenesPreparacion) && $item2['NumOrdenPrep']!='') $comboOrdenesPreparacion[]=$item2['NumOrdenPrep'];
		if(!in_array($item2['NombreCliente'],$comboClientes) && $item2['NombreCliente']!='') $comboClientes[]=$item2['NombreCliente'];
	}
}

asort($comboProductoCodigo);
asort($comboProductoDescripcion);
asort($comboOrdenesPreparacion);
asort($comboClientes);


?>
<script>

var comboProductoCodigo=Array(<?php foreach($comboProductoCodigo as $item) { ?>'<?php echo addslashes($item); ?>',<?php } ?>);
var comboProductoDescripcion=Array(<?php foreach($comboProductoDescripcion as $item) { ?>'<?php echo addslashes($item); ?>',<?php } ?>);
var comboOrdenesPreparacion=Array(<?php foreach($comboOrdenesPreparacion as $item) { ?>'<?php echo addslashes($item); ?>',<?php } ?>);
var comboClientes=Array(<?php foreach($comboClientes as $item) { ?>'<?php echo addslashes ($item); ?>',<?php } ?>);

</script>
<?php

if( !$resultado[0]['Error'] && count($resultado[0])>0 ) {

	?>
    <table class="tablaFormateada anchoMaximo">
	<tr style="white-space:nowrap">
		<th>Producto</th>
		<th>Descripción</th>
		<th>Pendiente</th>
	</tr>
	<?php
	
	foreach($resultado as $orden) {
	
		$ordenesprep=array();
		$clientes=array();
	
		$detalle=arreglaArrayPXMobileProxiumResult($orden['DetalleOFS']);
		foreach($detalle as $item) {
			if(!in_array($item['NumOrdenPrep'],$ordenesprep) && $item['NumOrdenPrep']!='') $ordenesprep[]=$item['NumOrdenPrep'];
			if(!in_array($item['NombreCliente'],$clientes) && $item['NombreCliente']!='') $clientes[]=$item['NombreCliente'];
		}
	
		?>
		<tr class="lineaOrden clicable mostrarCargando" producto="<?php echo $orden['CodProducto']; ?>" descripcion="<?php echo $orden['DescripcionProducto']; ?>" ordenesprep="<?php foreach($ordenesprep as $item) { echo $item.'#'; } ?>" clientes="<?php foreach($clientes as $item) { echo $item.'#'; } ?>" style="height:75px" >
			<td><?php echo $orden['CodProducto']; ?></td>
			<td><?php echo $orden['DescripcionProducto']; ?></td>
			<td><?php echo $orden['CantidadPendiente']; ?></td>
	  </tr>
	
	<?php } ?>
	
    </table>

    
<div class="barraFiltro">
    	
        <table cellpadding="5" style="margin:0 auto">
        	<tr>
            	<td>
                Código:<br />
                <select name="filtroProductoCodigo" id="filtroProductoCodigo" class="campo selectorFiltro" style="width:200px">
                    <option value="">---</option>
                    <?php foreach($comboProductoCodigo as $item) { ?>
                    <option value="<?php echo $item; ?>"><?php echo $item; ?></option>
                    <?php } ?>
                </select>
                </td>
                <td>
                Expositor:<br /> 
                <select name="filtroProductoDescripcion" id="filtroProductoDescripcion" class="campo selectorFiltro" style="width:200px">
                    <option value="">---</option>
                    <?php foreach($comboProductoDescripcion as $item) { ?>
                    <option value="<?php echo $item; ?>"><?php echo $item; ?></option>
                    <?php } ?>
                </select>
                </td>
                <td>
                Orden Prep.:<br />
                <select name="filtroOrdenPreparacion" id="filtroOrdenPreparacion" class="campo selectorFiltro">
                    <option value="">---</option>
                    <?php foreach($comboOrdenesPreparacion as $item) { ?>
                    <option value="<?php echo $item; ?>"><?php echo $item; ?></option>
                    <?php } ?>
                </select>
                </td>
                <td>
                Cliente:<br />
                <select name="filtroCliente" id="filtroCliente" class="campo selectorFiltro">
                    <option value="">---</option>
                    <?php foreach($comboClientes as $item) { ?>
                    <option value="<?php echo $item; ?>"><?php echo $item; ?></option>
                    <?php } ?>
                </select>
                </td>
                <td>
                <img id="filtroApagado" src="<?php echo DIR_IMAGENES; ?>/botones/filter-off.png" alt="Filtro" style="width:60px;height:60px;"/>
                <img id="aplicarFiltro" src="<?php echo DIR_IMAGENES; ?>/botones/filter.png" alt="Filtro" style="display:none;width:60px;height:60px;cursor:pointer;"/>
                <img id="quitarFiltro" src="<?php echo DIR_IMAGENES; ?>/botones/filter-remove.png" alt="Filtro" style="display:none;width:60px;height:60px;cursor:pointer"/>
                </td>
            </tr>
        </table>
        
    </div>
    
	<script>
	
		function repintarTabla() {
	
			$(".lineaOrden").children('td').css('background-color','#ffffff');
			$(".lineaOrden").children('td').css('border-bottom','');
			$(".lineaOrden").children('td').css('border-radius','');
			$(".lineaOrden").children('td').css('-mozborder-radius','');
			$(".lineaOrden").children('td').css('-webkit-border-radius','');
		
			var par=true;
			$(".lineaOrden").each(function(){
				if( $(this).is(":visible") ) {
					if(par) $(this).children('td').css('background-color','#ffffff');
					else $(this).children('td').css('background-color','#eeeeee');
					par = !par;
					ultimaFila=$(this);
				}
			});
			
			ultimaFila.children('td').css('border-bottom','1px solid #999999');
			ultimaFila.children('td:first').css('border-radius','0 0 0 15px');
			ultimaFila.children('td:first').css('-mozborder-radius','0 0 0 15px');
			ultimaFila.children('td:first').css('-webkit-border-radius','0 0 0 15px');
			ultimaFila.children('td:last').css('border-radius','0 0 15px 0');
			ultimaFila.children('td:last').css('-mozborder-radius','0 0 15px 0');
			ultimaFila.children('td:last').css('-webkit-border-radius','0 0 15px 0');
		
		}
		
		function aplicarFiltro(id) {
		
			if( $('#filtroProductoCodigo').val()=='' && $('#filtroProductoDescripcion').val()=='' && $('#filtroOrdenPreparacion').val()=='' && $('#filtroCliente').val()=='' ) {
				$('#filtroApagado').show();
				$('#quitarFiltro').hide();
				$('#aplicarFiltro').hide();
			}
			else  {
				$('#filtroApagado').hide();
				$('#quitarFiltro').show();
				$('#aplicarFiltro').hide();
			}
			
			
			
			$('.lineaOrden').each(function() {
			
				var coincidenciaProductoCodigo=false;
				var coincidenciaProductoDescripcion=false;
				var coincidenciaOrdenPreparacion=false;
				var coincidenciaCliente=false;
			
				if( $('#filtroProductoCodigo').val()!='' && $(this).attr('producto')==$('#filtroProductoCodigo').val() ) coincidenciaProductoCodigo=true;
				else if( $('#filtroProductoCodigo').val()=='' ) coincidenciaProductoCodigo=true;
			
				if( $('#filtroProductoDescripcion').val()!='' && $(this).attr('descripcion')==$('#filtroProductoDescripcion').val() ) coincidenciaProductoDescripcion=true;
				else if( $('#filtroProductoDescripcion').val()=='' ) coincidenciaProductoDescripcion=true;
				
				if( $('#filtroOrdenPreparacion').val()!='' && $(this).attr('ordenesprep').indexOf($('#filtroOrdenPreparacion').val())!=-1 ) coincidenciaOrdenPreparacion=true;
				else if( $('#filtroOrdenPreparacion').val()=='' ) coincidenciaOrdenPreparacion=true;
				
				if( $('#filtroCliente').val()!='' && $(this).attr('clientes').indexOf($('#filtroCliente').val())!=-1 ) coincidenciaCliente=true;
				else if( $('#filtroCliente').val()=='' ) coincidenciaCliente=true;
				
				if( coincidenciaProductoCodigo && coincidenciaProductoDescripcion && coincidenciaOrdenPreparacion && coincidenciaCliente) $(this).show();
				else $(this).hide();
			});
			
	
			//Revertimos el check actual si viniera de la linea acutomatico porque confunde al filtrar
			if(id) {
				if( $('#'+id).is(":checked") ) $('#'+id).prop("checked",false);
				else $('#'+id).prop("checked",true);
			}
	
			repintarTabla();
		
		}
	
		$(document).ready(function() {
			
			$('.lineaOrden').on("click",function(){
				$('#popupCargando').show();
				window.location='<?php echo $rutaHtml; ?>/orden-fabricacion-cierre-rapido.php?traza=<?php echo $_GET['traza']; ?>&producto='+$(this).attr('producto');	
			});
			
			$('.selectorFiltro').on("change",function() {
				aplicarFiltro();
			});
			
			$('#quitarFiltro').on("click",function() {
		
				$('#filtroProductoCodigo option:selected').removeProp('selected');
				$('#filtroProductoDescripcion option:selected').removeProp('selected');
				$('#filtroOrdenPreparacion option:selected').removeProp('selected');
				$('#filtroCliente option:selected').removeProp('selected');;
				
				$('#filtroProductoCodigo option[value=""]').prop('selected',true);
				$('#filtroProductoDescripcion option[value=""]').prop('selected',true);
				$('#filtroOrdenPreparacion option[value=""]').prop('selected',true);
				$('#filtroCliente option[value=""]').prop('selected',true);
				
				$('#filtroApagado').show();
				$('#quitarFiltro').hide();
				$('#aplicarFiltro').hide();
	
				$(".lineaOrden").show();
				
				repintarTabla();
				
			});

			
		});
	
	</script>
    
	<?php
}
else {
	?><p>No hay ninguna Orden de Fabricación pendiente.</p><?php
}
?>